## cl-asdf 3.3.4

=== Makefile ===
# Configuring this Makefile for your personal use:
# Set environment variable ASDF_TEST_LISPS to a space-separated list of values
# (see "defaultlisps" below, for an example).
# If you have a special way to find libraries that are used in the build and
# test process, you may bind ASDF_DEVEL_SOURCE_REGISTRY to a source registry to
# use (using the environment variable syntax), or bind it to "override" to use
# your normal CL source registry. Otherwise, it will use local copies of
# everything.

system		:= "asdf"
webhome_private := common-lisp.net:/project/asdf/public_html/
webhome_public	:= "http://common-lisp.net/project/asdf/"
clnet_home      := "/project/asdf/public_html/"
sourceDirectory := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

#### Common Lisp implementations available for testing.
## export ASDF_TEST_LISPS to override the default list of such implementations,
## or specify a lisps= argument at the make command-line
defaultLisps = ccl clisp sbcl ecl ecl_bytecodes cmucl abcl scl allegro lispworks allegromodern gcl xcl mkcl
ifdef ASDF_TEST_LISPS
lisps ?= ${ASDF_TEST_LISPS}
else
lisps ?= ${defaultLisps}
endif
ifdef ASDF_UPGRADE_TEST_LISPS
  ulisps ?= ${ASDF_UPGRADE_TEST_LISPS}
else
  ifdef ASDF_TEST_LISPS
    ulisps ?= ${ASDF_TEST_LISPS}
  else
    ulisps ?= ${defaultLisps}
  endif
endif

version := $(shell cat "version.lisp-expr")
#$(info $$version is [${version}])
version := $(patsubst "%",%,$(version))
#$(info $$version is [${version}])
fullversion := $(shell git describe --tags --match "[0-9][.][0-9]*" 2> /dev/null || echo $(version))

## grep for #+/#- features in the test/ directory to see plenty of disabled tests on some platforms
## NOT SUPPORTED BY OUR AUTOMATED TESTS:
##	cormancl genera lispworks-personal-edition rmcl
## Some are manually tested once in a while.
ifdef ASDF_TEST_SYSTEMS
s ?= ${ASDF_TEST_SYSTEMS}
endif

ifdef ASDF_DEVEL_SOURCE_REGISTRY
ifeq ($(ASDF_DEVEL_SOURCE_REGISTRY), override)
# do nothing... Use the user's CL_SOURCE_REGISTRY
else
export CL_SOURCE_REGISTRY = ${ASDF_DEVEL_SOURCE_REGISTRY}
endif
else # no ASDF_DEVEL_SOURCE_REGISTRY
export CL_SOURCE_REGISTRY = ${sourceDirectory}/:${sourceDirectory}/uiop/:${sourceDirectory}/ext//
endif
#$(error "CL_SOURCE_REGISTRY is ${CL_SOURCE_REGISTRY}")
sys := $(shell uname -s)
ifneq (,$(findstring CYGWIN,$(sys)))
CL_SOURCE_REGISTRY := $(shell cygpath -pw "${CL_SOURCE_REGISTRY}")
endif


l ?= sbcl

ABCL ?= abcl
ALLEGRO ?= alisp
ALLEGROMODERN ?= mlisp
CCL ?= ccl
CLISP ?= clisp
CMUCL ?= cmucl
ECL ?= ecl
GCL ?= gcl
LISPWORKS ?= lispworks
MKCL ?= mkcl
SBCL ?= sbcl
SCL ?= scl
XCL ?= xcl

header_lisp := header.lisp
driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/version.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/lisp-build.lisp uiop/launch-program.lisp uiop/run-program.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
defsystem_lisp := upgrade.lisp session.lisp component.lisp operation.lisp system.lisp system-registry.lisp action.lisp lisp-action.lisp find-component.lisp forcing.lisp plan.lisp operate.lisp find-system.lisp parse-defsystem.lisp bundle.lisp concatenate-source.lisp package-inferred-system.lisp output-translations.lisp source-registry.lisp backward-internals.lisp backward-interface.lisp interface.lisp user.lisp footer.lisp
all_lisp := $(header_lisp) $(driver_lisp) $(defsystem_lisp)

print-%  : ; @echo $* = $($*)

# Making ASDF itself should be our first, default, target:
build/asdf.lisp: $(all_lisp)
	mkdir -p build
	rm -f $@
	cat $(all_lisp) > $@

ext:
	git submodule update --init

noext:
	git submodule deinit .

# This quickly locates such mistakes as unbalanced parentheses:
load: build/asdf.lisp
	./test/run-tests.sh -t $l $(all_lisp)

install: archive

bump: bump-version
	git commit -a -m "Bump version to $$(eval a=$$(cat version.lisp-expr) ; echo $$a)"
	temp=$$(cat version.lisp-expr); temp="$${temp%\"}"; temp="$${temp#\"}"; git tag $$temp

bump-version: build/asdf.lisp
	./bin/bump-version ${v}

driver-files:
	@echo $(driver_lisp)

defsystem-files:
	@echo $(defsystem_lisp)

# FIXME: needs rewrite
#archive: build/asdf.lisp
#	./bin/asdf-builder make-and-publish-archive

archive: build/asdf.lisp
	$(eval UIOPDIR := "uiop-$(version)")
	mkdir -p build/$(UIOPDIR) 	# UIOP tarball
	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} uiop/contrib/debug.lisp build/$(UIOPDIR)
	tar zcf "build/uiop-${version}.tar.gz" -C build $(UIOPDIR)
	rm -r build/$(UIOPDIR)
	$(eval ASDFDIR := "asdf-$(version)")
	mkdir -p build/$(ASDFDIR) # asdf-defsystem tarball
	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/$(ASDFDIR)
	tar zcf "build/asdf-defsystem-${version}.tar.gz" -C build $(ASDFDIR)
	rm -r build/$(ASDFDIR)
	git archive --worktree-attributes --prefix="asdf-$(version)/" --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
	gzip "build/asdf-${version}.tar"
	cp "build/asdf.lisp" "build/asdf-${version}.lisp"

publish-archive:
	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tar.gz" "build/asdf-defsystem-${version}.tar.gz" \
"build/asdf-${version}.tar.gz" "build/asdf-${version}.lisp" common-lisp.net:/project/asdf/public_html/archives/
	ssh common-lisp.net "cd /project/asdf/public_html/archives/; ln -sf uiop-${version}.tar.gz uiop.tar.gz; ln -sf asdf-defsystem-${version}.tar.gz asdf-defsystem.tar.gz; ln -sf asdf-${version}.tar.gz asdf.tar.gz; ln -sf asdf-${version}.lisp asdf.lisp"

### Count lines separately for asdf-driver and asdf itself:
wc:
	@wc $(driver_lisp) | sort -n ; echo ; \
	wc $(header_lisp) $(defsystem_lisp) | sort -n ; \
	echo ; \
	wc $(header_lisp) $(driver_lisp) $(defsystem_lisp) | tail -n 1

push:
	git status
	git push --tags cl.net release master
	git push --tags github release master
	git fetch
	git status

# doc:
# 	${MAKE} -C doc
# don't have the toolchain to build docs installed...
doc: ;
website:
	${MAKE} -C doc website
	${MAKE} -C uiop/doc website

clean_dirs = $(sourceDirectory)
clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl ufasl o bak x86f vbin amd64f sparcf sparc64f hpf hp64f

clean:
	@for dir in $(clean_dirs); do \
	     if test -d $$dir; then \
		 echo Cleaning $$dir; \
		 for ext in $(clean_extensions); do \
		     find $$dir \( -name "*.$$ext" \) \
		    -and -not -path \""*/.git/*"\" \
			  -and -not -path \""*/_darcs/*"\" \
			  -and -not -path \""*/tags/*"\" -delete; \
		done; \
	     fi; \
	    echo "Cleaned $$dir"; \
	done
	echo "Done with cleaning loop."
	rm -rf build/ LICENSE test/try-reloading-dependency.asd test/hello-world-example asdf.lisp
	rm -rf test/hello-world-example.exe test/mkcl_*.dll # needed only on MS-Windows
	${MAKE} -C doc clean
	${MAKE} -C uiop/doc clean

mrproper:
	git clean -xfd

test-upgrade: build/asdf.lisp show-version
	./test/run-tests.sh -u ${l}
u: test-upgrade

test-clean-load: build/asdf.lisp show-version
	./test/run-tests.sh -c ${l}

show-version:
	@echo "Building and testing asdf $(fullversion)"

# test-glob has been replaced by t, and lisp by l, easier to type
test-lisp: build/asdf.lisp show-version
	@cd test; ./run-tests.sh ${l} ${t}

t: test-lisp

test: doc test-lisp test-clean-load test-load-systems

test-load-systems: build/asdf.lisp show-version
	./test/run-tests.sh -l ${l} ${s}

test-all-lisps: test-load-systems test-all-clean-load test-all-lisp test-all-upgrade

test-all-clean-load:
	@for lisp in ${lisps} ; do ${MAKE} test-clean-load l=$$lisp || exit 1 ; done

test-all-lisp:
	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp || exit 1 ; done

test-all-upgrade:
	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp || exit 1 ; done

test-all-no-upgrade: doc test-load-systems test-all-clean-load test-all-lisp

test-all: test-all-no-upgrade test-all-upgrade

test-all-lisp-no-stop:
	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp ; done ; :

test-all-upgrade-no-stop:
	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp ; done ; :

test-all-no-upgrade-no-stop: doc test-load-systems test-all-clean-load test-all-lisp-no-stop
	make --quiet check-all-test-results

test-all-no-stop: doc test-load-systems test-all-clean-load test-all-lisp-no-stop test-all-upgrade-no-stop
	make --quiet check-all-results

check-all-test-results:
	@A="`grep -L '[5-9][0-9] passing and 0 failing' build/results/*-test.text`" ; \
	if [ -n "$$A" ] ; then \
		echo "Unexpected test failures on these implementations:" ; \
		echo "$$A" ; \
		exit 1 ; \
	fi

check-all-upgrade-results:
	@A="`grep -L 'Upgrade test succeeded for ' build/results/*-upgrade.text`" ; \
	if [ -n "$$A" ] ; then \
		echo "Unexpected upgrade failures on these implementations:" ; \
		echo "$$A" ; \
		exit 1 ; \
	fi

check-all-results:
	@r=0 ; \
	make --quiet check-all-test-results || r=1 ; \
	make --quiet check-all-upgrade-results || r=1 ; \
	exit $r

extract: extract-all-tagged-asdf
extract-all-tagged-asdf: build/asdf.lisp
	./test/run-tests.sh -H


# Delete wrongful tags from local repository
fix-local-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done

# Delete wrongful tags from remote repository
fix-remote-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done

release-push:
	git checkout master
	git merge release
	git checkout release
	git merge master
	git checkout master

TODO:
	exit 2

release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists

.PHONY: install archive push doc website clean mrproper show-version \
	test-forward-references test test-lisp test-upgrade test-forward-references \
	test-all test-all-lisps test-all-no-upgrade \
	debian-package release \
	replace-sbcl-asdf replace-ccl-asdf \
	fix-local-git-tags fix-remote-git-tags wc wc-driver wc-asdf \
	list-source-registry \
	ext noext

# debug the source registry that will be used to execute commands from this Makefile.
#list-source-registry:
#	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'

# RELEASE or PUSH checklist:
# make test-all
# make test-load-systems s=fare-all
# make bump v=3.0
# edit debian/changelog # RELEASE only...
# git commit
# git tag 3.0 # for example ...
# make debian-package
# git push
# git push origin 3.0 # for example...
# everything from here for RELEASE only
# make release-push archive website debian-package
# dput mentors ../*.changes
# send debian mentors request
# send announcement to asdf-announce, asdf-devel, etc.
# Move all fixed bugs from Fix Committed -> Fix Released on launchpad
#
## Users don't release as above, only maintainers do.
## Users, all you need to do is: make
## Vendors, you may want to test your implementation with: make test l=sbcl

=== doc/Makefile ===
#user=frideau
ifeq (${user},)
userat :=
else
userat := ${user}@
endif
website:=${userat}common-lisp.net:/project/asdf/public_html/
output = asdf.html asdf asdf.pdf asdf.info
webfiles = index.html .htaccess style.css cclan.png lisp-logo120x80.png favicon.ico ${output}
intermediate = asdf.cps asdf.log asdf.vr asdf.aux asdf.fn asdf.toc asdf.vrs \
		asdf.cp asdf.fns asdf.ky asdf.pg asdf.tp asdf.tps

all:	asdf.html asdf.info asdf.pdf manual-html

manual-html: asdf.texinfo
	makeinfo --html asdf.texinfo \
	2>&1 > manual-html.log || { echo "failed. See log in manual-html.log" ; exit 1 ;}

asdf.html: asdf.texinfo
	makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo \
	2>&1 > asdf.html.log || { echo "failed. See log in asdf.html.log" ; exit 1 ;}

asdf.info: asdf.texinfo
	makeinfo asdf.texinfo

asdf.pdf: asdf.texinfo
	texi2pdf asdf.texinfo \
	2>&1 > asdf.pdf.log || { echo "failed. See log in asdf.pdf.log" ; exit 1 ;}

website: all
	rsync -lt --no-g ${webfiles} ${website}
	rsync --recursive --no-g --delete asdf ${website}
	rsync -lt --no-g Changelog ${website}/changelog

.PHONY: clean intermediate-clean manual-html
intermediate-clean:
	rm -f ${intermediate}
clean: intermediate-clean
	rm -f asdf.html asdf.pdf asdf.info
	rm -rf asdf/ asdf.t2d/

=== debian/changelog ===
cl-asdf (2:3.3.4-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2:2.32-1, 1.109-1.
  * Fix day-of-week for changelog entries 2:3.0.1-1, 2:3.0.0-1, 2:2.30-
    1, 2:2.29-1, 2:2.26-1.

  [ Sébastien Villemot ]
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * Disable clisp autopkgtest on ppc64el, not reliable there

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Jan 2021 14:45:37 +0100

cl-asdf (2:3.3.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * sbcl-2.0.1.patch: drop patch, applied upstream
  * debian/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Feb 2020 20:43:40 +0100

=== debian/control ===
Source: cl-asdf
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@zamazal.org>,
  Christoph Egger <christoph@debian.org>,
  François-René Rideau <fare@tunes.org>,
  Robert P. Goldman <rpgoldman@sift.info>,
  Kambiz Darabi <darabi@m-creations.net>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.8~),
               texinfo,
               texlive-extra-utils,
               texlive,
               texlive-plain-generic,
               sbcl
Standards-Version: 4.5.1
Homepage: https://common-lisp.net/project/asdf/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
Rules-Requires-Root: no

Package: cl-asdf
Architecture: all
Recommends: sbcl | lisp-compiler
Depends: ${misc:Depends}
Suggests: cl-launch (>= 4.1)
Description: Another System Definition Facility
 ASDF provides the functionality of make and ld.so for Common Lisp software:
 It drives compilation and dynamic loading for complex Lisp systems
 with multiple modules and files, and is the de facto standard used
 by free software written in Common Lisp.
 .
 It also includes a utility library, UIOP, to portably deal with many issues
 that all Common Lisp programs have to deal with, including handling pathnames,
 accessing the filesystem, executing external programs, user configuration, etc.
 .
 Most Common Lisp implementations already provide asdf via (require "asdf"),
 but not all of them provide an up-to-date version.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C doc all
	$(MAKE) -C uiop/doc all
	ln -sf build/asdf.lisp .

execute_after_dh_fixperms:
	chmod 644 debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/tools/asdf-tools

# Extensive tests are performed before release of the orig.tgz on
# different Common Lisp implementations.
#
# Testing asdf on Debian should include testing with all Common Lisp
# implementations which are available on Debian and requires Debian
# packaging of all libraries which are used during testing.
#
# This is a definitely a goal for the future, but beyond the scope of
# the current package maintainer.
#
# See also: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=809308#29
#
override_dh_auto_test:

# do not invoke make install: it tries to upload the tarball to
# common-lisp.net
override_dh_auto_install:

execute_after_dh_install:
	rm -r debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/doc/
	rm debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/contrib/fiveam-asdf/license.txt

execute_after_dh_installdocs:
	# Rename uiop/README.md to avoid overriding the main README.md
	mv debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/README.md \
		debian/cl-asdf/usr/share/doc/cl-asdf/README-uiop.md

## cl-asdf 3.3.5

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,10 @@
 SBCL ?= sbcl
 SCL ?= scl
 XCL ?= xcl
+
+# If you need to sudo in order to use docker, modify this.
+DOCKER ?= docker
+docker_tag ?= latest
 
 header_lisp := header.lisp
 driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/version.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/lisp-build.lisp uiop/launch-program.lisp uiop/run-program.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
@@ -154,10 +158,11 @@
 	git fetch
 	git status
 
-# doc:
-# 	${MAKE} -C doc
-# don't have the toolchain to build docs installed...
-doc: ;
+doc:
+	${MAKE} -C doc
+# if you don't have the toolchain to build docs installed...
+#doc: ;
+
 website:
 	${MAKE} -C doc website
 	${MAKE} -C uiop/doc website
@@ -203,7 +208,16 @@
 
 t: test-lisp
 
-test: doc test-lisp test-clean-load test-load-systems
+# Useful for reproducing test failures with Docker.
+test-docker-repl:
+	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test clfoundation/${l}:${docker_tag}
+
+test-docker-lisp: build/asdf.lisp show-version
+	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) clfoundation/${l}:${docker_tag} make test-lisp l=${l} t=${t}
+
+td: test-docker-lisp
+
+test: test-lisp test-clean-load test-load-systems
 
 test-load-systems: build/asdf.lisp show-version
 	./test/run-tests.sh -l ${l} ${s}
@@ -214,7 +228,7 @@
 	@for lisp in ${lisps} ; do ${MAKE} test-clean-load l=$$lisp || exit 1 ; done
 
 test-all-lisp:
-	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp || exit 1 ; done
+	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp t=${t}|| exit 1 ; done
 
 test-all-upgrade:
 	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp || exit 1 ; done

=== debian/changelog ===
cl-asdf (2:3.3.5-1) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * New upstream release
  * Update standards version to 4.6.0, no changes needed.
  * Fix lintian override (unusual-interpreter)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + cl-asdf: Drop versioned constraint on cl-launch in Suggests.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Oct 2021 15:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://common-lisp.net/project/asdf/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
@@ -25,7 +25,7 @@
 Architecture: all
 Recommends: sbcl | lisp-compiler
 Depends: ${misc:Depends}
-Suggests: cl-launch (>= 4.1)
+Suggests: cl-launch
 Description: Another System Definition Facility
  ASDF provides the functionality of make and ld.so for Common Lisp software:
  It drives compilation and dynamic loading for complex Lisp systems

## cl-asdf 3.3.6

=== Makefile ===
--- 
+++ 
@@ -63,6 +63,7 @@
 
 
 l ?= sbcl
+UPCASE_L = $(shell echo '$(l)' | tr '[:lower:]' '[:upper:]')
 
 ABCL ?= abcl
 ALLEGRO ?= alisp
@@ -81,6 +82,16 @@
 # If you need to sudo in order to use docker, modify this.
 DOCKER ?= docker
 docker_tag ?= latest
+
+DOCKER_IMAGE_ABCL ?= containers.common-lisp.net/cl-docker-images/abcl
+DOCKER_IMAGE_ALLEGRO ?= containers.common-lisp.net/cl-docker-images/allegro
+DOCKER_IMAGE_ALLEGROMODERN ?= containers.common-lisp.net/cl-docker-images/allegro
+DOCKER_IMAGE_CCL ?= containers.common-lisp.net/cl-docker-images/ccl
+DOCKER_IMAGE_CLISP ?= containers.common-lisp.net/cl-docker-images/clisp
+DOCKER_IMAGE_CMUCL ?= containers.common-lisp.net/cl-docker-images/cmucl
+DOCKER_IMAGE_ECL ?= containers.common-lisp.net/cl-docker-images/ecl
+DOCKER_IMAGE_ECL_BYTECODES ?= containers.common-lisp.net/cl-docker-images/ecl
+DOCKER_IMAGE_SBCL ?= containers.common-lisp.net/cl-docker-images/sbcl
 
 header_lisp := header.lisp
 driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/version.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/lisp-build.lisp uiop/launch-program.lisp uiop/run-program.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
@@ -208,12 +219,17 @@
 
 t: test-lisp
 
-# Useful for reproducing test failures with Docker.
+# Useful for reproducing test failures with Docker. Allegro does not like it if
+# the user we're running as has no entry in /etc/passwd. So we make a user
+# first and then execute the command as that user.
 test-docker-repl:
-	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test clfoundation/${l}:${docker_tag}
-
+	@${DOCKER} run --rm -i -t -e I_AGREE_TO_ALLEGRO_EXPRESS_LICENSE=yes -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test $(DOCKER_IMAGE_$(UPCASE_L)):${docker_tag} bash -c "adduser --uid $(shell id -u) --gecos 'ASDF tester' --disabled-password --no-create-home user && su user -c \"$($(UPCASE_L))\""
+
+# Allegro does not like it if the user we're running as has no entry in
+# /etc/passwd. So we make a user first and then execute the command as that
+# user.
 test-docker-lisp: build/asdf.lisp show-version
-	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) clfoundation/${l}:${docker_tag} make test-lisp l=${l} t=${t}
+	${DOCKER} run --rm -i -t -e I_AGREE_TO_ALLEGRO_EXPRESS_LICENSE=yes -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) $(DOCKER_IMAGE_$(UPCASE_L)):${docker_tag} bash -c "adduser --uid $(shell id -u) --gecos 'ASDF tester' --disabled-password --no-create-home user && su user -c \"make test-lisp l=$(l) t=$(t)\""
 
 td: test-docker-lisp
 
@@ -307,25 +323,3 @@
 
 # debug the source registry that will be used to execute commands from this Makefile.
 #list-source-registry:
-#	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'
-
-# RELEASE or PUSH checklist:
-# make test-all
-# make test-load-systems s=fare-all
-# make bump v=3.0
-# edit debian/changelog # RELEASE only...
-# git commit
-# git tag 3.0 # for example ...
-# make debian-package
-# git push
-# git push origin 3.0 # for example...
-# everything from here for RELEASE only
-# make release-push archive website debian-package
-# dput mentors ../*.changes
-# send debian mentors request
-# send announcement to asdf-announce, asdf-devel, etc.
-# Move all fixed bugs from Fix Committed -> Fix Released on launchpad
-#
-## Users don't release as above, only maintainers do.
-## Users, all you need to do is: make
-## Vendors, you may want to test your implementation with: make test l=sbcl

=== doc/Makefile ===
--- 
+++ 
@@ -12,20 +12,27 @@
 
 all:	asdf.html asdf.info asdf.pdf manual-html
 
+log_output = > $@.log 2>&1 || { echo "  failed. See log in $@.log" ; exit 1 ;}
+
 manual-html: asdf.texinfo
-	makeinfo --html asdf.texinfo \
-	2>&1 > manual-html.log || { echo "failed. See log in manual-html.log" ; exit 1 ;}
+	@echo "makeinfo --html asdf.texinfo"
+	@makeinfo --html asdf.texinfo \
+        $(log_output)
 
 asdf.html: asdf.texinfo
-	makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo \
-	2>&1 > asdf.html.log || { echo "failed. See log in asdf.html.log" ; exit 1 ;}
+	@echo "makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo"
+	@makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo \
+        $(log_output)
 
 asdf.info: asdf.texinfo
-	makeinfo asdf.texinfo
+	@echo "makeinfo asdf.texinfo"
+	@makeinfo asdf.texinfo \
+        $(log_output)
 
 asdf.pdf: asdf.texinfo
-	texi2pdf asdf.texinfo \
-	2>&1 > asdf.pdf.log || { echo "failed. See log in asdf.pdf.log" ; exit 1 ;}
+	@echo "texi2pdf asdf.texinfo"
+	@texi2pdf asdf.texinfo \
+        $(log_output)
 
 website: all
 	rsync -lt --no-g ${webfiles} ${website}

=== debian/changelog ===
cl-asdf (2:3.3.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update homepage URL in d/control and d/copyright
  * Update standards version to 4.6.1, no changes needed.
  * Add d/upstream/metadata
  * Add autopkgtest for abcl
  * Mark autopkgtests as superficial, since currently they only test the upgrade
    of the ASDF shipped by the implementation

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 24 Sep 2022 11:05:35 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.6.0
-Homepage: https://common-lisp.net/project/asdf/
+Standards-Version: 4.6.1
+Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl
Restrictions: allow-stderr, superficial

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl
Restrictions: allow-stderr, superficial

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp
Restrictions: allow-stderr, superficial
Architecture: !ppc64el

Test-Command: abcl --noinit --batch --load debian/tests/runtests.lisp
Depends: @, abcl
Restrictions: allow-stderr, superficial

## cl-asdf 3.3.7.2

=== debian/changelog ===
cl-asdf (2:3.3.7.2-1) unstable; urgency=medium

  * Updated Standards-Version, no changes
  * Improved debian/watch to use tags on the gitlab site
  * New upstream version 3.3.7.2

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 13:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf

## cl-asdf 3.3.7.3

=== Makefile ===
--- 
+++ 
@@ -61,6 +61,7 @@
 CL_SOURCE_REGISTRY := $(shell cygpath -pw "${CL_SOURCE_REGISTRY}")
 endif
 
+CP ?= cp
 
 l ?= sbcl
 UPCASE_L = $(shell echo '$(l)' | tr '[:lower:]' '[:upper:]')
@@ -138,17 +139,17 @@
 archive: build/asdf.lisp
 	$(eval UIOPDIR := "uiop-$(version)")
 	mkdir -p build/$(UIOPDIR) 	# UIOP tarball
-	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} uiop/contrib/debug.lisp build/$(UIOPDIR)
+	${CP} -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} uiop/contrib/debug.lisp build/$(UIOPDIR)
 	tar zcf "build/uiop-${version}.tar.gz" -C build $(UIOPDIR)
 	rm -r build/$(UIOPDIR)
 	$(eval ASDFDIR := "asdf-$(version)")
 	mkdir -p build/$(ASDFDIR) # asdf-defsystem tarball
-	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/$(ASDFDIR)
+	${CP} -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/$(ASDFDIR)
 	tar zcf "build/asdf-defsystem-${version}.tar.gz" -C build $(ASDFDIR)
 	rm -r build/$(ASDFDIR)
 	git archive --worktree-attributes --prefix="asdf-$(version)/" --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
 	gzip "build/asdf-${version}.tar"
-	cp "build/asdf.lisp" "build/asdf-${version}.lisp"
+	${CP} "build/asdf.lisp" "build/asdf-${version}.lisp"
 
 publish-archive:
 	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tar.gz" "build/asdf-defsystem-${version}.tar.gz" \

=== debian/changelog ===
cl-asdf (2:3.3.7.3-2) unstable; urgency=medium

  * Source only upload for migration to testing. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 08 Apr 2025 12:16:35 +0200

cl-asdf (2:3.3.7.3-1) unstable; urgency=medium

  * New upstream version 3.3.7.3
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 13:51:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf

## cl-asdf 3.3.7.4

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 userat := ${user}@
 endif
 website:=${userat}common-lisp.net:/project/asdf/public_html/
-output = asdf.html asdf asdf.pdf asdf.info
+output = asdf.html asdf.pdf asdf.info # asdf
 webfiles = index.html .htaccess style.css cclan.png lisp-logo120x80.png favicon.ico ${output}
 intermediate = asdf.cps asdf.log asdf.vr asdf.aux asdf.fn asdf.toc asdf.vrs \
 		asdf.cp asdf.fns asdf.ky asdf.pg asdf.tp asdf.tps
@@ -36,7 +36,6 @@
 
 website: all
 	rsync -lt --no-g ${webfiles} ${website}
-	rsync --recursive --no-g --delete asdf ${website}
 	rsync -lt --no-g Changelog ${website}/changelog
 
 .PHONY: clean intermediate-clean manual-html

=== uiop/doc/Makefile ===
uiop := uiop
ifeq (${user},)
userat :=
else
userat := ${user}@
endif
website:=${userat}common-lisp.net:/project/asdf/public_html/
output = ${uiop}.html ${uiop}.pdf
webfiles = ${output}

.PHONY: clean html pdf include clean-include clean-crap info doc texinfo website

all: pdf html info clean-crap

website: all
	rsync -lt --no-g ${webfiles} ${website}

clean-include:
	rm -rf include

clean-crap:
	rm -f *.aux *.cp *.fn *.fns *.ky *.log *.pg *.toc *.tp *.tps *.vr *.vrs

clean: clean-include
	rm -rf  *.pdf *.html *.info ${uiop}.texinfo ${uiop} *.fasl

fasl: docstrings.lisp
	sbcl --no-userinit --eval '(require :asdf)' \
	--eval '(compile-file "docstrings.lisp")' \
	--eval '(quit)'

include: fasl
	sbcl --no-userinit --eval '(require :asdf)' \
	--load docstrings \
	--eval '(sb-texinfo:generate-includes "include/" (list :UIOP/PACKAGE :UIOP/COMMON-LISP :UIOP/UTILITY :UIOP/VERSION :UIOP/OS :UIOP/PATHNAME :UIOP/FILESYSTEM :UIOP/STREAM :UIOP/IMAGE :UIOP/LISP-BUILD :UIOP/LAUNCH-PROGRAM :UIOP/RUN-PROGRAM :UIOP/CONFIGURATION :UIOP/BACKWARD-DRIVER))' \
	--eval '(quit)'

texinfo : include
	sbcl --no-userinit --eval '(require :asdf)' \
	--load docstrings \
	--eval "(sb-texinfo:complete-texinfo-template \"template.texinfo\" \"${uiop}.texinfo\" \"include/\")" \
	--eval '(quit)'

pdf: texinfo
	texi2pdf ${uiop}.texinfo

html: texinfo
	makeinfo --html --no-split ${uiop}.texinfo

htmls: texinfo
	makeinfo --html ${uiop}.texinfo

info: texinfo
	makeinfo ${uiop}.texinfo

=== debian/changelog ===
cl-asdf (2:3.3.7.4-1) sid; urgency=medium

  * New upstream version 3.3.7.4
  * Fixed standard-version

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 09:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.common-lisp.net/asdf/asdf/tags?sort=updated_desc -/archive/v?\d[\d.]+/asdf-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
